SharedGalleryImagesOperations Class
SharedGalleryImagesOperations async operations.
You should not instantiate this class directly. Instead, you should create a Client instance that instantiates it for you and attaches it as an attribute.
- Inheritance
-
builtins.objectSharedGalleryImagesOperations
Constructor
SharedGalleryImagesOperations(client, config, serializer, deserializer)
Parameters
- client
Client for service requests.
- config
Configuration of service client.
- serializer
An object model serializer.
- deserializer
An object model deserializer.
Variables
- models
Alias to model classes used in this operation group.
Methods
| get |
Get a shared gallery image by subscription id or tenant id. |
| list |
List shared gallery images by subscription id or tenant id. |
get
Get a shared gallery image by subscription id or tenant id.
async get(location: str, gallery_unique_name: str, gallery_image_name: str, **kwargs: Any) -> azure.mgmt.compute.v2020_09_30.models._models_py3.SharedGalleryImage
Parameters
- gallery_image_name
- str
The name of the Shared Gallery Image Definition from which the Image Versions are to be listed.
- cls
- callable
A custom type or function that will be passed the direct response
Returns
SharedGalleryImage, or the result of cls(response)
Return type
Exceptions
list
List shared gallery images by subscription id or tenant id.
list(location: str, gallery_unique_name: str, shared_to: Optional[Union[str, azure.mgmt.compute.v2020_09_30.models._compute_management_client_enums.SharedToValues]] = None, **kwargs: Any) -> AsyncIterable[azure.mgmt.compute.v2020_09_30.models._models_py3.SharedGalleryImageList]
Parameters
- shared_to
- str or SharedToValues
The query parameter to decide what shared galleries to fetch when doing listing operations.
- cls
- callable
A custom type or function that will be passed the direct response
Returns
An iterator like instance of either SharedGalleryImageList or the result of cls(response)
Return type
Exceptions
Attributes
models
models = <module 'azure.mgmt.compute.v2020_09_30.models' from 'C:\\hostedtoolcache\\windows\\Python\\3.9.13\\x64\\lib\\site-packages\\azure\\mgmt\\compute\\v2020_09_30\\models\\__init__.py'>
Feedback
Submit and view feedback for